%bcond_with 	dlopen

Name:		libmonitor
Version:	2023.03.15
# according to https://github.com/spack/spack/blob/develop/var/spack/repos/builtin/packages/libmonitor/package.py 
# the above version corresponds to commit 48520940b915352748950ea718fadc82f87f659d
%global commit0 48520940b915352748950ea718fadc82f87f659d
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
Release:	1%{?dist}
Summary:	libmonitor - a substrate for monitoring tools

Group:		Development/Libraries
License:	Other
URL:		https://github.com/HPCToolkit/libmonitor
Source0:	https://github.com/HPCToolkit/libmonitor/archive/%{commit0}/libmonitor-%{shortcommit0}.tar.gz
BuildRequires:	gcc

%description
Libmonitor is a library providing callback functions for the begin and
end of processes, threads, fork, exec, etc.  It provides a layer on
which to build process monitoring tools such as profilers.

%package devel
Summary:	Development files for libmonitor
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for libmonitor.

%prep
%autosetup -n %{name}-%{commit0}


%build
%configure --enable-client-signals="SIGBUS, SIGSEGV, SIGPROF, 36, 37, 38"  %{?with_dlopen:--enable-dlfcn}
make %{?_smp_mflags}

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files
%doc LICENSE README
%{_bindir}/monitor-run
%{_libdir}/lib*.so.*

%files devel
%doc LICENSE
%{_bindir}/monitor-link
%{_includedir}/monitor.h
%{_libdir}/lib*.so
%{_libdir}/lib*.a

%changelog
* Sun Oct 06 2024 Josko Plazonic <plazonic@princeton.edu> - 2023.03.15-1
- Initial build
